#
# spec file for package guile-git
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define commit  951a32c
%define time    1509985185

Name:           guile-git
Version:        0.0
Release:        lp150.1.1
Summary:        Guile bindings of libgit2
License:        GPL-3.0+
Group:          Development/Libraries/Other
Url:            https://gitlab.com/guile-git/guile-git
Source0:        %{name}-%{version}.%{time}.%{commit}.tar
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  texinfo
BuildRequires:  pkg-config
BuildRequires:  guile-devel
BuildRequires:  guile-bytestructures
BuildRequires:  libgit2-devel
Requires:       guile
Requires:       guile-bytestructures
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides Guile bindings to libgit2,
a library manipulate repositories of the Git version control system.

%prep
%setup -q -n %{name}-%{version}.%{time}.%{commit}
autoreconf -vif

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING README.md
%{_libdir}/guile/2.*/site-ccache/git*
%{_datadir}/guile/site/2.*/git*
%{_infodir}/guile-git.info.gz

%changelog
* Sat Mar 10 2018 jengelh@inai.de
- Update description.
* Fri Mar  9 2018 sleep_walker@opensuse.org
- make package compatibile with guile-2.0+
- make _service localonly
* Tue Jan 23 2018 jbrielmaier@suse.com
- Initial version built from commit 951a32c
